#define LCD_PORT 	portc
#define LCD_TRIS 	trisc
#define RS 			3
#define CS 			2
#define SCLK 		1
#define SDATA  		0


#define BLUE 		0x03
#define YELLOW 		0xFC
#define RED 		0XE0
#define GREEN 		0X1C
#define BLACK 		0X00
#define WHITE 		0XFF
#define BRIGHTGREEN 0X3D
#define DARKGREEN 	0X14
#define DARKRED		0XA0
#define DARKBLUE	0X02
#define BRIGHTBLUE	0X1F
#define ORANGE		0XF8


//External Gfx LCD Functions
void Lcd_init (void);
void Lcd_clear (void);
void Lcd_drawline (char X1, char Y1, char X2, char Y2, char Colour);
void Lcd_box (char Lx1, char Ly1, char Lx2, char Ly2, char Colour);
void Lcd_print (char* String, char Lcd_posx, char Lcd_posy, char Font_size, char Lcd_fcolour, char Lcd_bcolour);
void Lcd_plot(char X1, char Y1, char Colour);
void Lcd_drawimage (char X1, char Y1);


//Internal Gfx LCD Functions
void Lcd_sendbyte (char Command, char Lcdout);
void Window (char Lx1, char Ly1, char Lx2, char Ly2);